Unverified Commit 38808f50 authored by Hanwen Cheng's avatar Hanwen Cheng Committed by GitHub
Browse files

fix: fit for the txVersion update (#622)

* update polakdot dependencies

* bump version number
parent 8af978fc
Pipeline #93750 failed with stages
in 3 minutes and 46 seconds
......@@ -134,8 +134,8 @@ android {
minSdkVersion 18
missingDimensionStrategy 'react-native-camera', 'general'
targetSdkVersion 28
versionCode 4205
versionName "4.2.5"
versionCode 4206
versionName "4.2.6"
ndk {
abiFilters 'armeabi-v7a','arm64-v8a','x86','x86_64'
}
......
......@@ -17,11 +17,11 @@
<key>CFBundlePackageType</key>
<string>APPL</string>
<key>CFBundleShortVersionString</key>
<string>4.2.5</string>
<string>4.2.6</string>
<key>CFBundleSignature</key>
<string>????</string>
<key>CFBundleVersion</key>
<string>4205</string>
<string>4206</string>
<key>LSRequiresIPhoneOS</key>
<true/>
<key>NSAppTransportSecurity</key>
......
......@@ -18,14 +18,10 @@ import { isU8a, u8aToHex } from '@polkadot/util';
import React, { useEffect } from 'react';
import { Text, View } from 'react-native';
import strings from 'modules/sign/strings';
import CompatibleCard from 'components/CompatibleCard';
import PayloadDetailsCard from 'modules/sign/components/PayloadDetailsCard';
import { NETWORK_LIST } from 'constants/networkSpecs';
import { SafeAreaScrollViewContainer } from 'components/SafeAreaContainer';
import testIDs from 'e2e/testIDs';
import { FoundAccount } from 'types/identityTypes';
import { isEthereumNetworkParams } from 'types/networkSpecsTypes';
import { NavigationAccountScannerProps } from 'types/props';
import QrView from 'components/QrView';
import { withAccountAndScannerStore } from 'utils/HOC';
......@@ -55,12 +51,8 @@ function SignedMessageView({
}: Props): React.ReactElement {
const data = scannerStore.getSignedTxData();
const isHash = scannerStore.getIsHash();
const prehash = scannerStore.getPrehashPayload();
const dataToSign = scannerStore.getDataToSign();
const senderNetworkParams = NETWORK_LIST[sender.networkKey];
const isEthereum = isEthereumNetworkParams(senderNetworkParams);
useEffect(
(): (() => void) =>
function (): void {
......@@ -78,14 +70,6 @@ function SignedMessageView({
<View style={styles.bodyContent}>
<Text style={styles.title}>From Account</Text>
<CompatibleCard account={sender} accountsStore={accounts} />
{!isEthereum && prehash ? (
<PayloadDetailsCard
description={strings.INFO_MULTI_PART}
payload={prehash}
signature={data}
networkKey={sender.networkKey}
/>
) : null}
<MessageDetailsCard
isHash={isHash ?? false}
message={message}
......
......@@ -24,7 +24,6 @@ import testIDs from 'e2e/testIDs';
import { FoundAccount } from 'types/identityTypes';
import { isEthereumNetworkParams } from 'types/networkSpecsTypes';
import { NavigationAccountScannerProps } from 'types/props';
import PayloadDetailsCard from 'modules/sign/components/PayloadDetailsCard';
import TxDetailsCard from 'modules/sign/components/TxDetailsCard';
import QrView from 'components/QrView';
import { withAccountAndScannerStore } from 'utils/HOC';
......@@ -55,7 +54,6 @@ function SignedTxView({
scannerStore
}: Props): React.ReactElement {
const data = scannerStore.getSignedTxData();
const prehash = scannerStore.getPrehashPayload();
const tx = scannerStore.getTx();
const senderNetworkParams = NETWORK_LIST[sender.networkKey];
const isEthereum = isEthereumNetworkParams(senderNetworkParams);
......@@ -90,7 +88,7 @@ function SignedTxView({
accountsStore={accounts}
titlePrefix={'from: '}
/>
{isEthereum ? (
{isEthereum && (
<View style={{ marginTop: 16 }}>
<TxDetailsCard
style={{ marginBottom: 20 }}
......@@ -102,13 +100,6 @@ function SignedTxView({
<Text style={styles.title}>Recipient</Text>
<CompatibleCard account={recipient} accountsStore={accounts} />
</View>
) : (
<PayloadDetailsCard
style={{ marginBottom: 20 }}
payload={prehash!}
signature={data}
networkKey={sender.networkKey}
/>
)}
</View>
</SafeAreaScrollViewContainer>
......
......@@ -88,7 +88,8 @@ const SIGNER_PAYLOAD_TEST = {
'0x0600ffd7568e5f0a7eda67a82691ff379ac4bba4f9c9b859fe779b5d46363b61ad2db9e56c',
nonce: 0x1234,
specVersion: 123,
tip: 0x5678
tip: 0x5678,
transactionVersion: 234
};
const SIGN_TX_TEST = u8aConcat(
......
......@@ -1025,13 +1025,6 @@
dependencies:
regenerator-runtime "^0.13.2"
"@babel/runtime@^7.9.2":
version "7.9.2"
resolved "https://registry.yarnpkg.com/@babel/runtime/-/runtime-7.9.2.tgz#d90df0583a3a252f09aaa619665367bae518db06"
integrity sha512-NE2DtOdufG7R5vnfQUTehdTfNycfUANEtCa9PssN9O/xmTzP4E08UI797ixaei6hBEVL9BI/PsdJS5x7mWoB9Q==
dependencies:
regenerator-runtime "^0.13.4"
"@babel/runtime@^7.9.6":
version "7.9.6"
resolved "https://registry.yarnpkg.com/@babel/runtime/-/runtime-7.9.6.tgz#a9102eb5cadedf3f31d08a9ecf294af7827ea29f"
......@@ -1465,138 +1458,138 @@
"@types/yargs" "^15.0.0"
chalk "^3.0.0"
"@polkadot/api-derive@1.11.2":
version "1.11.2"
resolved "https://registry.yarnpkg.com/@polkadot/api-derive/-/api-derive-1.11.2.tgz#e9b01b0f08aa25ec7842973b4c884d6b74996bb6"
integrity sha512-jwU8oZItbJWKOIF/mJDTjkGV2t8Fz45ZR5WbPPWid7ojzPyswQx+qepVco8j1lGvFs4i+kKG4B01OCJ2KErTzA==
dependencies:
"@babel/runtime" "^7.9.2"
"@polkadot/api" "1.11.2"
"@polkadot/rpc-core" "1.11.2"
"@polkadot/rpc-provider" "1.11.2"
"@polkadot/types" "1.11.2"
"@polkadot/util" "^2.8.1"
"@polkadot/util-crypto" "^2.8.1"
"@polkadot/api-derive@1.14.1":
version "1.14.1"
resolved "https://registry.yarnpkg.com/@polkadot/api-derive/-/api-derive-1.14.1.tgz#3f3064af65bbb103b07a0986b97c76a40396e633"
integrity sha512-Qt+ijb+9WhDvBQM1ZJPSJKMchILY4/9pgGAMUcWZf9iC2nR9tOE8OG+OeFdzno43jspuZ8qUrkg5vapfZ/5/gQ==
dependencies:
"@babel/runtime" "^7.9.6"
"@polkadot/api" "1.14.1"
"@polkadot/rpc-core" "1.14.1"
"@polkadot/rpc-provider" "1.14.1"
"@polkadot/types" "1.14.1"
"@polkadot/util" "^2.10.1"
"@polkadot/util-crypto" "^2.10.1"
bn.js "^5.1.1"
memoizee "^0.4.14"
rxjs "^6.5.5"
"@polkadot/api@1.11.2":
version "1.11.2"
resolved "https://registry.yarnpkg.com/@polkadot/api/-/api-1.11.2.tgz#f039af0ac06f7a0744e8f7b9d278f85ae2c7c0bf"
integrity sha512-SAuPPtEXfCMl3yCGN22sJmuiWKR0epU79KRKEqpp6pvZ2fMw7lIg1pW6KYn/bhaQUSEsS0cUJVSfz7UjKanA2w==
dependencies:
"@babel/runtime" "^7.9.2"
"@polkadot/api-derive" "1.11.2"
"@polkadot/keyring" "^2.8.1"
"@polkadot/metadata" "1.11.2"
"@polkadot/rpc-core" "1.11.2"
"@polkadot/rpc-provider" "1.11.2"
"@polkadot/types" "1.11.2"
"@polkadot/types-known" "1.11.2"
"@polkadot/util" "^2.8.1"
"@polkadot/util-crypto" "^2.8.1"
"@polkadot/api@1.14.1":
version "1.14.1"
resolved "https://registry.yarnpkg.com/@polkadot/api/-/api-1.14.1.tgz#14ce2e9365343a8c810335473f5ae9e028313ca0"
integrity sha512-8HKrDp8khcy41jaEcTbelLircEhT+tCGc0yX9rSij2N4oulpxdY8fWWaF2ipVr2GKpE2t6fjBPiZcVMCDwpu9g==
dependencies:
"@babel/runtime" "^7.9.6"
"@polkadot/api-derive" "1.14.1"
"@polkadot/keyring" "^2.10.1"
"@polkadot/metadata" "1.14.1"
"@polkadot/rpc-core" "1.14.1"
"@polkadot/rpc-provider" "1.14.1"
"@polkadot/types" "1.14.1"
"@polkadot/types-known" "1.14.1"
"@polkadot/util" "^2.10.1"
"@polkadot/util-crypto" "^2.10.1"
bn.js "^5.1.1"
eventemitter3 "^4.0.0"
eventemitter3 "^4.0.1"
rxjs "^6.5.5"
"@polkadot/keyring@^2.8.1":
version "2.8.1"
resolved "https://registry.yarnpkg.com/@polkadot/keyring/-/keyring-2.8.1.tgz#befc87d262a3c00a70e9b9bde7ed9c89e88ebc46"
integrity sha512-VYuFucacGqOB6ZmSN/3/vUvEMFaOg7NmGcWLnjiGY7T5W3Qv8Up/3zGbnt9UspDcQckoQsIumQyfkeLAjcRjoA==
dependencies:
"@babel/runtime" "^7.9.2"
"@polkadot/util" "2.8.1"
"@polkadot/util-crypto" "2.8.1"
"@polkadot/metadata@1.11.2":
version "1.11.2"
resolved "https://registry.yarnpkg.com/@polkadot/metadata/-/metadata-1.11.2.tgz#19c13a02a37de3b7d8076594d755447d2e6fa09b"
integrity sha512-GI3c3oa3EBoorUG0HoJrjCYJC+jbnJrMXqchkfuZ5tObCm0f5a7OBfiA89rPJFtxrKrUTPR+4fV1d/UtFHysAw==
dependencies:
"@babel/runtime" "^7.9.2"
"@polkadot/types" "1.11.2"
"@polkadot/types-known" "1.11.2"
"@polkadot/util" "^2.8.1"
"@polkadot/util-crypto" "^2.8.1"
"@polkadot/keyring@^2.10.1":
version "2.10.1"
resolved "https://registry.yarnpkg.com/@polkadot/keyring/-/keyring-2.10.1.tgz#815c01984c6c3721e3f9454f64bf55bdac5e01d0"
integrity sha512-6Wbft7MtxbnWaHZpvg3yT8l4oQNp5xTwbqVkdaRfXmPsmhJ1YJcprFWLuKsWZE4x59cYyK7eKhnKcAvFny4HTQ==
dependencies:
"@babel/runtime" "^7.9.6"
"@polkadot/util" "2.10.1"
"@polkadot/util-crypto" "2.10.1"
"@polkadot/metadata@1.14.1":
version "1.14.1"
resolved "https://registry.yarnpkg.com/@polkadot/metadata/-/metadata-1.14.1.tgz#3746ab1cd43f551e1a9c64478b95baae98ac7849"
integrity sha512-nehxg81vcjSay5ScIwASNzM6Li59M0BR3g57hVkkj4uAbvu4bOEZ92dnQuGKbfzMmEQtvLfDdw/iDPqzCgxyGg==
dependencies:
"@babel/runtime" "^7.9.6"
"@polkadot/types" "1.14.1"
"@polkadot/types-known" "1.14.1"
"@polkadot/util" "^2.10.1"
"@polkadot/util-crypto" "^2.10.1"
bn.js "^5.1.1"
"@polkadot/reactnative-identicon@0.52.1":
version "0.52.1"
resolved "https://registry.yarnpkg.com/@polkadot/reactnative-identicon/-/reactnative-identicon-0.52.1.tgz#901802e3381bd9011a4f9e543d9de00ebdc36e8d"
integrity sha512-cALsSFJvpmtyqdPT2EiDjaRYG1icvlv2g8fXKMZXTvxylOxTIdWxqmO1ceYCK8yFdsjJlYrBXG+EyKdyOisnjw==
dependencies:
"@babel/runtime" "^7.9.2"
"@polkadot/ui-shared" "0.52.1"
react-native-svg "^12.0.3"
"@polkadot/rpc-core@1.11.2":
version "1.11.2"
resolved "https://registry.yarnpkg.com/@polkadot/rpc-core/-/rpc-core-1.11.2.tgz#cf345ea13aae7d04e311b4b50540e4f65624c601"
integrity sha512-m3TUS67ucNsfE02hbvJBzteEfHjOkmMaM92OB8GOIVKXB+PHU4BHokM53B+8WvLru9oiTYtqDRgC+jpTOwopbg==
dependencies:
"@babel/runtime" "^7.9.2"
"@polkadot/metadata" "1.11.2"
"@polkadot/rpc-provider" "1.11.2"
"@polkadot/types" "1.11.2"
"@polkadot/util" "^2.8.1"
"@polkadot/reactnative-identicon@0.53.1":
version "0.53.1"
resolved "https://registry.yarnpkg.com/@polkadot/reactnative-identicon/-/reactnative-identicon-0.53.1.tgz#889f95987ac46a77775dd90ca2c07fc198e1c911"
integrity sha512-uZ1/gGi1GaHbpkE/RA9EAfCVM+gmKS1wKz1+KUULtQUTS12sjEsU+orQDUzXLsdSWiVWzuycqBTD1H2oEHnnHw==
dependencies:
"@babel/runtime" "^7.9.6"
"@polkadot/ui-shared" "0.53.1"
react-native-svg "^12.1.0"
"@polkadot/rpc-core@1.14.1":
version "1.14.1"
resolved "https://registry.yarnpkg.com/@polkadot/rpc-core/-/rpc-core-1.14.1.tgz#b9af6102d94d4f3f993e8f5000a5a8243cfa382c"
integrity sha512-GxZlnxO4ocwaMKdfHgAc7/fvH5nLqZ1AdR9xKkqyR2t3MVjQozB2NeJi99mmZ093AhYHKvGmaBtu38CVTO8Sxg==
dependencies:
"@babel/runtime" "^7.9.6"
"@polkadot/metadata" "1.14.1"
"@polkadot/rpc-provider" "1.14.1"
"@polkadot/types" "1.14.1"
"@polkadot/util" "^2.10.1"
memoizee "^0.4.14"
rxjs "^6.5.5"
"@polkadot/rpc-provider@1.11.2":
version "1.11.2"
resolved "https://registry.yarnpkg.com/@polkadot/rpc-provider/-/rpc-provider-1.11.2.tgz#adcea4fd9e996aa468370e84a431ab159300a27c"
integrity sha512-VwcE4vHsVfXck+Cviug5KbHgmFb1u/YOrmsZGS8ZZ979q7QqbxohgtMW0pIGJddS7og2GYpiMelB6JXO3MG70g==
dependencies:
"@babel/runtime" "^7.9.2"
"@polkadot/metadata" "1.11.2"
"@polkadot/types" "1.11.2"
"@polkadot/util" "^2.8.1"
"@polkadot/util-crypto" "^2.8.1"
"@polkadot/rpc-provider@1.14.1":
version "1.14.1"
resolved "https://registry.yarnpkg.com/@polkadot/rpc-provider/-/rpc-provider-1.14.1.tgz#4f243d7991fdd9fe0317aa5d42a1b29379acff1e"
integrity sha512-bp1EVLYVculRwcxKGlNxi1CWdsCEal9rtwMryOu5jw637Lpm23N1xq5vrX/pVQB2DzytvmuBJeUsf7DdgHEVAg==
dependencies:
"@babel/runtime" "^7.9.6"
"@polkadot/metadata" "1.14.1"
"@polkadot/types" "1.14.1"
"@polkadot/util" "^2.10.1"
"@polkadot/util-crypto" "^2.10.1"
bn.js "^5.1.1"
eventemitter3 "^4.0.0"
eventemitter3 "^4.0.1"
isomorphic-fetch "^2.2.1"
websocket "^1.0.31"
"@polkadot/types-known@1.11.2":
version "1.11.2"
resolved "https://registry.yarnpkg.com/@polkadot/types-known/-/types-known-1.11.2.tgz#f0e2ffae750454b34b1869b6c64c60b59e5f67af"
integrity sha512-ShrXGzHKNoZ6Ai6huWuafxVxRFKiV63nt9rM01DqzsgA1ILvPuB7b96ROe7P8tExFplZhuZkY6Wc+ITuAgdCDg==
"@polkadot/types-known@1.14.1":
version "1.14.1"
resolved "https://registry.yarnpkg.com/@polkadot/types-known/-/types-known-1.14.1.tgz#4bafa1159ed3ac50bd043643dce0eeb44fa31157"
integrity sha512-fqde3QavX1z+xIra1D6cObf36ATbK5rCcwG2vQU3YXV3NIHYIqQ6CO79TaybKsxx+Sv7ygy4j13G2rSdLqSuXQ==
dependencies:
"@babel/runtime" "^7.9.2"
"@polkadot/types" "1.11.2"
"@polkadot/util" "^2.8.1"
"@babel/runtime" "^7.9.6"
"@polkadot/types" "1.14.1"
"@polkadot/util" "^2.10.1"
bn.js "^5.1.1"
"@polkadot/types@1.11.2":
version "1.11.2"
resolved "https://registry.yarnpkg.com/@polkadot/types/-/types-1.11.2.tgz#65c338172ce9bf3406e54db4f945b66056d8a280"
integrity sha512-8OKeviT8RcxewvCE27FNiH/j2CRAcwbozaHtys4oVeoNkjcXMPC95YB2ZWv1Q7u7qn8LVFt3sfAyqmKt367aow==
"@polkadot/types@1.14.1":
version "1.14.1"
resolved "https://registry.yarnpkg.com/@polkadot/types/-/types-1.14.1.tgz#1854b74eec76af5ead1be6444e553c945c7c537a"
integrity sha512-Q3JIlAXMVWNGjsdWG0xnhone/1uj7R3vWFjft+cweNs40/tUalY6AbyBZ29XTU8WPEmmUspprQ5YmujhHtZg8Q==
dependencies:
"@babel/runtime" "^7.9.2"
"@polkadot/metadata" "1.11.2"
"@polkadot/util" "^2.8.1"
"@polkadot/util-crypto" "^2.8.1"
"@babel/runtime" "^7.9.6"
"@polkadot/metadata" "1.14.1"
"@polkadot/util" "^2.10.1"
"@polkadot/util-crypto" "^2.10.1"
"@types/bn.js" "^4.11.6"
bn.js "^5.1.1"
memoizee "^0.4.14"
rxjs "^6.5.5"
"@polkadot/ui-shared@0.52.1":
version "0.52.1"
resolved "https://registry.yarnpkg.com/@polkadot/ui-shared/-/ui-shared-0.52.1.tgz#255b595c2d7857b4f4f4aa767f0bafe1d15e3d1c"
integrity sha512-Ss49s0x5+/KXh2AlthvM8ix4D4YVUwA3XUvEBZh1tPWKsZM5PWmOwERYv5DY9tAZoUWcbo7/7iCG20bsZktONA==
"@polkadot/ui-shared@0.53.1":
version "0.53.1"
resolved "https://registry.yarnpkg.com/@polkadot/ui-shared/-/ui-shared-0.53.1.tgz#e3f4685545e4757fa5192a9def74055d0555f7c1"
integrity sha512-5sKjuWm22lNha22l7xi41Au5OAWkzBHY3ysPh5XPzBDxQtkcfG3xmg8hzPLhMVB/5z7HxDQeWY0DiHMvrE+iUw==
dependencies:
"@babel/runtime" "^7.9.2"
"@babel/runtime" "^7.9.6"
color "^3.1.2"
"@polkadot/util-crypto@2.8.1", "@polkadot/util-crypto@^2.8.1":
version "2.8.1"
resolved "https://registry.yarnpkg.com/@polkadot/util-crypto/-/util-crypto-2.8.1.tgz#ae49d5efa79d7f234f7caf57d33bb91993097d72"
integrity sha512-vakpc/2PVGvQ3rEaCS3QnZlf74WA5U45MBNqK0Q6Yj4fGAYzTcKPKFGeoxxSenrVr/nKp2N1osXqcIOYsuCzHw==
"@polkadot/util-crypto@2.10.1", "@polkadot/util-crypto@^2.10.1":
version "2.10.1"
resolved "https://registry.yarnpkg.com/@polkadot/util-crypto/-/util-crypto-2.10.1.tgz#10c00a0b63d3f4005583e6aab5e9baee5234437c"
integrity sha512-sxJZwi5CWfOrytVGtvMT5gn7+rrdgCECtmiG94AouyzdCIWqr9DC+BbX95q7Rja8+kLwkm08FWAsI5pwN9oizQ==
dependencies:
"@babel/runtime" "^7.9.2"
"@polkadot/util" "2.8.1"
"@babel/runtime" "^7.9.6"
"@polkadot/util" "2.10.1"
"@polkadot/wasm-crypto" "^1.2.1"
base-x "^3.0.8"
bip39 "^3.0.2"
......@@ -1609,12 +1602,12 @@
tweetnacl "^1.0.3"
xxhashjs "^0.2.2"
"@polkadot/util@2.8.1", "@polkadot/util@^2.8.1":
version "2.8.1"
resolved "https://registry.yarnpkg.com/@polkadot/util/-/util-2.8.1.tgz#bc625df27c34193627da9f0db37b757b297858fb"
integrity sha512-OUc/Jn41wd1G9D36J8mqjxAr3LBoxenuylQGXxQyf48/9fMVeUMb5i3wrWiVu2bO21OOXh85HhbUyLvX4V6nLw==
"@polkadot/util@2.10.1", "@polkadot/util@^2.10.1":
version "2.10.1"
resolved "https://registry.yarnpkg.com/@polkadot/util/-/util-2.10.1.tgz#981e19327b49532c8b8d2f2d18e23c3548cbe969"
integrity sha512-DaIvvx3zphDlf3ZywLnlrRTngcjGIl7Dn3lbwsgHlMSyENz07TG6YG+ztr0ztUrb9BqFKAeH6XGNtGPBp0LxwA==
dependencies:
"@babel/runtime" "^7.9.2"
"@babel/runtime" "^7.9.6"
"@types/bn.js" "^4.11.6"
bn.js "^5.1.1"
camelcase "^5.3.1"
......@@ -3754,10 +3747,10 @@ detect-newline@^3.0.0:
resolved "https://registry.yarnpkg.com/detect-newline/-/detect-newline-3.1.0.tgz#576f5dfc63ae1a192ff192d8ad3af6308991b651"
integrity sha512-TLz+x/vEXm/Y7P7wn1EJFNLxYpUD4TgMosxY6fAVJUnJMbupHBOncxyWUG9OpTaH9EBD7uFI5LfEgmMOc54DsA==
detox@^16.4.0:
version "16.4.0"
resolved "https://registry.yarnpkg.com/detox/-/detox-16.4.0.tgz#f4279fe725b020dadd6f2327bf6b5427a9f2d902"
integrity sha512-2dB6bJ9GCM7BuZCWubSRQLX1QLaKvPue9zu4+jcDMhhbQL08KKIClb2yelMalSyjtM04hX7OUw+SBArIwU13Dg==
detox@^16.5.1:
version "16.5.1"
resolved "https://registry.yarnpkg.com/detox/-/detox-16.5.1.tgz#4d2472f641c3aadaeaed4967a7c3c84dca4b0f34"
integrity sha512-GtNQY20r7n0Nl0u4C3vHjv9Zsp1Nw1puOHOLylqeX3WGe8V5awutIipp2ASKc7ufSn0Z8lteRoY7HGVtzpf67w==
dependencies:
"@babel/core" "^7.4.5"
bunyan "^1.8.12"
......@@ -4340,10 +4333,10 @@ eventemitter3@^3.0.0:
resolved "https://registry.yarnpkg.com/eventemitter3/-/eventemitter3-3.1.2.tgz#2d3d48f9c346698fce83a85d7d664e98535df6e7"
integrity sha512-tvtQIeLVHjDkJYnzf2dgVMxfuSGJeM/7UCG17TT4EumTfNtF+0nebF/4zWOIkCreAbtNqhGEboB6BWrwqNaw4Q==
eventemitter3@^4.0.0:
version "4.0.0"
resolved "https://registry.yarnpkg.com/eventemitter3/-/eventemitter3-4.0.0.tgz#d65176163887ee59f386d64c82610b696a4a74eb"
integrity sha512-qerSRB0p+UDEssxTtm6EDKcE7W4OaoisfIMl4CngyEhjpYglocpNg6UEqCvemdGhosAsg4sO2dXJOdyBifPGCg==
eventemitter3@^4.0.1:
version "4.0.4"
resolved "https://registry.yarnpkg.com/eventemitter3/-/eventemitter3-4.0.4.tgz#b5463ace635a083d018bdc7c917b4c5f10a85384"
integrity sha512-rlaVLnVxtxvoyLsQQFBx53YmXHDxRIzzTLbdfxqi4yocpSjAxXwkU0cScM5JgSKMqEhrZpnvQ2D9gjylR0AimQ==
events@^1.0.0:
version "1.1.1"
......@@ -8226,10 +8219,10 @@ react-native-svg@^12.0.2:
css-select "^2.1.0"
css-tree "^1.0.0-alpha.39"
react-native-svg@^12.0.3:
version "12.0.3"
resolved "https://registry.yarnpkg.com/react-native-svg/-/react-native-svg-12.0.3.tgz#5dcc0e73efca50c8cfff098b20404551fad4aa5e"
integrity sha512-ZuZUHMVpF4AX1pNGvHOCZLUuMC5oG6LQnwImJTRw8avKYhpUQdGDWwqi6YtPfYszKx+DwepFeq1uWlAFMzB4qQ==
react-native-svg@^12.1.0:
version "12.1.0"
resolved "https://registry.yarnpkg.com/react-native-svg/-/react-native-svg-12.1.0.tgz#acfe48c35cd5fca3d5fd767abae0560c36cfc03d"
integrity sha512-1g9qBRci7man8QsHoXn6tP3DhCDiypGgc6+AOWq+Sy+PmP6yiyf8VmvKuoqrPam/tf5x+ZaBT2KI0gl7bptZ7w==
dependencies:
css-select "^2.1.0"
css-tree "^1.0.0-alpha.39"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment